# VecReplaceArray

Allows one to replace the array in a vector with an array provided by the user. This is useful to avoid copying an array into a vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecReplaceArray(Vec vec,const PetscScalar array[])

Not Collective

### Input Parameters

| vec | - the vector
| array | - the array

### Notes

This permanently replaces the array and frees the memory associated with the old array.

The memory passed in MUST be obtained with PetscMalloc() and CANNOT be freed by the user. It will be freed when the vector is destroy.

Not supported from Fortran

### See Also

VecGetArray(), VecRestoreArray(), VecPlaceArray(), VecResetArray()

Level:developer
Location: src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages